﻿// Todo list:
// 1. Auto scale to view change

function get_date_with_timezone_offset(offset, comment) {
	dateObj = new Date();
	localTime = dateObj.getTime();
	localOffset = dateObj.getTimezoneOffset() * 60000;
	utc = localTime + localOffset;
	newDate = new Date(utc + (3600000*offset));
	hours = newDate.getHours();
	mins = newDate.getMinutes();
	if (hours<10) hours = "0"+hours;
	if (mins<10) mins = "0"+mins;
	return hours+":"+mins + " " + comment; 
}

function update() {
	if (edit_mode) return;
	labelLocalTime.innerText = convert_time_string(local_time_string);
	editAdd.value = convert_time_string(time_string);
	view.setTimeout(update, 1000);
}

var edit_mode = 0;
var time_string = "-7,PDT\r5.5,India";
var now = new Date();
var local_time_string = now.getTimezoneOffset()/-60 + ",Local";
update();

function enter_edit_mode() {
	if (edit_mode) return;
	edit_mode = 1;
	labelLocalTime.innerText = local_time_string;
	editAdd.value = time_string;
	editAdd.readonly = false;
	editAdd.focus();
	buttonEdit.caption = "done";
}

function validate_offset_string(str) {
	return true;
}

function convert_time_string(str) {
	converted_str = "";
	lines = str.split("\r");
	for( i in lines) {
		if (lines[i] == "") continue;
		array = lines[i].split(",");
		converted_str = converted_str + get_date_with_timezone_offset(array[0],array[1]) + "\n";
		//gadget.debug.trace(lines[i]+"##"+converted_str);
	}
	return converted_str;
}

function leave_edit_mode() {
	if (validate_offset_string(editAdd.value)) {
		time_string = editAdd.value;
		editAdd.value = convert_time_string(time_string);
		editAdd.readonly = true;
		edit_mode = 0;
		buttonEdit.caption = "edit";
		update();		
	}
}

function editAdd_onclick() {

}

function editAdd_onkeypress() {
	
}

function buttonEdit_onclick() {
	if (edit_mode) {
		leave_edit_mode();
	}
	else {
		enter_edit_mode();
	}
}
